> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goil.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Comprobar cuenta

> Comprueba si existe una cuenta por teléfono o por tags. Requiere `x-client-id`.
Debe enviarse `phone` o al menos un elemento en `tags`.




## OpenAPI

````yaml openapi/external-v1.yaml post /account/check
openapi: 3.1.0
info:
  title: Goil Public API (External)
  description: >
    API pública para integraciones externas. Permite autenticación, gestión de
    cuentas

    y envío de notificaciones y alertas.


    **Autenticación**: La mayoría de endpoints requieren el header `x-client-id`
    (businessId).

    Tras llamar a `POST /authentication/login` obtendrás un `accessToken` para
    usar en

    endpoints que requieran Bearer token (p. ej. alertas).
  version: 1.0.0
  contact:
    name: Goil API Support
servers:
  - url: https://community.goil.app/api/v1/external
    description: Production
security: []
tags:
  - name: Authentication
    description: Login para integraciones externas
  - name: Account
    description: Crear, consultar, listar, actualizar y eliminar cuentas
  - name: Notification
    description: Envío de notificaciones push/SMS
  - name: Alert
    description: Creación y actualización de alertas geolocalizadas
paths:
  /account/check:
    post:
      tags:
        - Account
      summary: Comprobar cuenta
      description: >
        Comprueba si existe una cuenta por teléfono o por tags. Requiere
        `x-client-id`.

        Debe enviarse `phone` o al menos un elemento en `tags`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountCheckRequest'
      responses:
        '200':
          description: OK (cuenta existe o no según lógica interna)
        '422':
          description: Invalid arguments
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    AccountCheckRequest:
      type: object
      required:
        - accountTypeId
      properties:
        accountTypeId:
          type: string
        phone:
          type: string
        tags:
          type: object
          additionalProperties:
            type: string
          description: Mapa tag -> value para identificar cuenta por atributos
      description: Debe proporcionarse phone o al menos un tag
    ErrorResponse:
      type: object
      properties:
        timestamp:
          type: integer
          format: int64
        error:
          type: string
        data:
          type: object
          nullable: true

````